# Using Microsoft Azure Kubernetes Service (AKS)[¶](https://doc.dataiku.com/dss/latest/containers/aks/index.html#using-microsoft-azure-kubernetes-service-aks "Permalink to this headline")

You can use containerized execution on AKS as a fully managed Kubernetes solution.

For a complete Elastic AI setup in Azure including elastic storage and elastic compute based on Kubernetes, we recommend that you read our dedicated Azure documentation

* Using managed AKS clusters

+ Initial setup

- Create your ACR registry

- Install the AKS plugin

- Prepare your local `az`, `docker`, and `kubectl` commands

- Create base images

- Create a new containerized execution configuration

+ Cluster configuration

+ Using GPUs

- Building an image with CUDA support

- Enable GPU support on the cluster

- Add a custom reservation

- Deploy

+ Other

* Using unmanaged AKS clusters

+ Setup

- Create your ACR registry

- Create your AKS cluster

- Prepare your local `az`, `docker`, and `kubectl` commands

- Create base images

- Create a new containerized execution configuration

+ Using GPUs

- Building an image with CUDA support

- Create configuration and add a custom reservation

- Create a cluster with GPUs

- Deploy
