# Geospatial Analytics[¶](https://knowledge.dataiku.com/latest/kb/analytics-ml/geospatial/index.html#geospatial-analytics "Permalink to this headline")

Dataiku provides many tools to assist with tasks for geospatial analytics. This includes:

* A simple drag and drop interface for creating interactive maps;

* Visual geographic processors for common spatial data preparation tasks, such as creating GeoPoints;

* The ability to work with various geospatial data formats, such as ESRI shapefiles;

* Integration with programming languages like Python, R and SQL for using libraries like PostGIS;

* Visual or code interface for building machine learning models, including those built on on geospatial data.

The following articles provide a hands-on introduction to many of these geospatial features in Dataiku.

Tip

You can also find this material in a course on Geospatial Analytics in the Dataiku Academy.

## Articles[¶](https://knowledge.dataiku.com/latest/kb/analytics-ml/geospatial/index.html#articles "Permalink to this headline")

* Hands-On Tutorial: Creating Maps in Dataiku without Code

* Hands-On Tutorial: Geographic Processing with Dataiku

* Hands-On Tutorial: Working with Shapefiles and US Census Data in Dataiku

* Hands-On Tutorial: Geo Join
